require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusGrilled", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersCheddar", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpGarlic", true);

SManager:AddCake(CakeType.AUDREY, "cake1White", true);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", false);
SManager:AddCake(CakeType.IRA, "cake2Buttercream", false);

SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMMadrid", true);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMAruba", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMZurich", true);


PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");